# Created by pyp2rpm-3.3.6
%global pypi_name ijson

Name:           python-%{pypi_name}
Version:        3.3.0
Release:        3%{?dist}.1
Summary:        Iterative JSON parser with standard Python iterator interfaces

License:        BSD-3-Clause
URL:            https://github.com/ICRAR/ijson
Source0:        https://files.pythonhosted.org/packages/source/i/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)

%global _description %{expand:
Iterative JSON parser with standard Python iterator interfaces.}
 
%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -n %{pypi_name}-%{version}

# Disable tests for unsupported configurations.
sed -i "s/\['python', 'yajl', 'yajl2', 'yajl2_cffi', 'yajl2_c']/\['python', 'yajl2', 'yajl2_cffi']/" test/test_base.py

%build
%py3_build

%install
%py3_install

%check
%{_bindir}/pytest-3 -v

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Thu Jul 10 2025 Oleg Girko <ol@infoserver.lv> - 3.3.0-1
- Update to version 3.3.0
- Convert license to SPDX
- Don't require yajl (optional dependency)
- Fix description
* Tue Jun  1 2021 Oleg Girko <ol@infoserver.lv> - 3.1.4-1
- Initial package.
